goocanvas.ItemModelSimple
Prev | PyGooCanvas Core Class Reference | Next

## goocanvas.ItemModelSimple

goocanvas.ItemModelSimple — The base class for the standard canvas item models.

## Synopsis

    class goocanvas.ItemModelSimple(gobject.GObject):

## Ancestry

    +-- gobject.GObject
        +-- goocanvas.ItemModelSimple

## goocanvas.ItemModelSimple Properties

"antialias" | Read/Write | The antialiasing mode to use. Default value: cairo.ANTIALIAS_DEFAULT
"clip-fill-rule" | Read/Write | The fill rule used to determine which parts of the item are clipped. Default value: cairo.FILL_RULE_WINDING
"clip-path" | Write | The sequence of commands describing the clip path of the item, specified as a string using the same syntax as in the Scalable Vector Graphics (SVG) path element. Default value: None
"fill-color" | Write | The color to use to paint the interior of the item. Default value: None
"fill-color-rgba" | Write | The color to use to paint the interior of the item, specified as a 32-bit integer value. Default value: 0
"fill-pattern" | Read/Write | The pattern to use to paint the interior of the item.
"fill-pixbuf" | Write | The pixbuf to use to paint the interior of the item.
"fill-rule" | Read/Write | The fill rule used to determine which parts of the item are filled. Default value: cairo.FILL_RULE_WINDING
"font" | Read/Write | The base font to use for the text. Default value: None
"font-desc" | Read/Write | The attributes specifying which font to use.
"line-cap" | Read/Write | The line cap style to use. Default value: cairo.LINE_CAP_BUTT
"line-dash" | Read/Write | The dash pattern to use.
"line-join" | Read/Write | The line join style to use. Default value: cairo.LINE_JOIN_MITER
"line-join-miter-limit" | Read/Write | The smallest angle to use with miter joins, in degrees. Bevel joins will be used below this limit. Allowed values: >= 0 Default value: 10.
"line-width" | Read/Write | The line width to use for the item's perimeter. Allowed values: >= 0 Default value: 0
"operator" | Read/Write | The compositing operator to use. Default value: cairo.OPERATOR_OVER
"stroke-color" | Write | The color to use for the item's perimeter. Default value: None
"stroke-color-rgba" | Write | The color to use for the item's perimeter, specified as a 32-bit integer value. Default value: 0
"stroke-pattern" | Read/Write | The pattern to use to paint the perimeter of the item.
"stroke-pixbuf" | Write | The pixbuf to use to draw the item's perimeter.

## Known Implementation

`goocanvas.ItemModelSimple` is implementated by `goocanvas.RectModel` `goocanvas.EllipseModel` `goocanvas.PathModel` `goocanvas.PolylineModel` `goocanvas.TextModel` `goocanvas.ImageModel` `goocanvas.GroupModel`

## Implemented Interfaces

`goocanvas.ItemModelSimple` implements `goocanvas.ItemModel`

## Description

`goocanvas.ItemModelSimple` is used as a base class for all of the standard canvas item models. It provides default implementations for many of the `goocanvas.ItemModel` methods. Subclasses of `goocanvas.ItemModelSimple` only need to implement the create_item() method of the `goocanvas.ItemModel` interface, to create the default canvas item to view the item model.

Prev | Up | Next
goocanvas.ItemModel | Home | goocanvas.Style